use tokio::time::{delay_for, Duration};

use crate::bot::BfxBot;
use crate::currency::{Symbol, SymbolPair};

mod bot;
mod connectors;
mod currency;
mod events;
mod orders;
mod pairs;
mod positions;
mod strategy;
mod ticker;

pub type BoxError = Box<dyn std::error::Error + Send + Sync>;

#[tokio::main]
async fn main() -> Result<(), BoxError> {
    // let test_api_key = "P1EVE68DJByDAkGQvpIkTwfrbYXd2Vo2ZaIhTYb9vx2";
    // let test_api_secret = "1nicg8z0zKVEt5Rb7ZDpIYjVYVTgvCaCPMZqB0niFli";
    //
    // let mut bot = BfxBot::new(
    //     test_api_key,
    //     test_api_secret,
    //     vec![Symbol::BTC, Symbol::ETH, Symbol::XMR],
    //     Symbol::USD,
    //     Duration::new(20, 0),
    // );
    //
    // loop {
    //     let ticker = bot.current_prices("ETH".into()).await?;
    //     bot.update().await;
    //
    //     // let ticker = bot.current_prices("ETH".into()).await?;
    //     println!("{:?}", ticker);
    // }

    Ok(())
}
